/// <reference types="react" />
declare const Textarea: import("react").ComponentType<{
    form?: string | undefined;
    slot?: string | undefined;
    style?: import("react").CSSProperties | undefined;
    title?: string | undefined;
    children?: import("react").ReactNode;
    value?: string | number | readonly string[] | undefined;
    is?: string | undefined;
    name?: string | undefined;
    disabled?: boolean | undefined;
    color?: (string & (string | [string | undefined, string | undefined] | [string | undefined, string | undefined, string | undefined])) | undefined;
    defaultChecked?: boolean | undefined;
    defaultValue?: string | number | readonly string[] | undefined;
    suppressContentEditableWarning?: boolean | undefined;
    suppressHydrationWarning?: boolean | undefined;
    dangerouslySetInnerHTML?: {
        __html: string;
    } | undefined;
    accessKey?: string | undefined;
    className?: string | undefined;
    contentEditable?: (boolean | "true" | "false") | "inherit" | undefined;
    contextMenu?: string | undefined;
    dir?: string | undefined;
    draggable?: (boolean | "true" | "false") | undefined;
    id?: string | undefined;
    lang?: string | undefined;
    placeholder?: string | undefined;
    spellCheck?: (boolean | "true" | "false") | undefined;
    tabIndex?: number | undefined;
    inputMode?: "search" | "text" | "none" | "tel" | "url" | "email" | "numeric" | "decimal" | undefined;
    radioGroup?: string | undefined;
    role?: string | undefined;
    about?: string | undefined;
    datatype?: string | undefined;
    inlist?: any;
    prefix?: string | undefined;
    property?: string | undefined;
    resource?: string | undefined;
    typeof?: string | undefined;
    vocab?: string | undefined;
    autoCapitalize?: string | undefined;
    autoCorrect?: string | undefined;
    autoSave?: string | undefined;
    itemProp?: string | undefined;
    itemScope?: boolean | undefined;
    itemType?: string | undefined;
    itemID?: string | undefined;
    itemRef?: string | undefined;
    results?: number | undefined;
    security?: string | undefined;
    unselectable?: "on" | "off" | undefined;
    'aria-activedescendant'?: string | undefined;
    'aria-atomic'?: boolean | "true" | "false" | undefined;
    'aria-autocomplete'?: "inline" | "none" | "list" | "both" | undefined;
    'aria-busy'?: boolean | "true" | "false" | undefined;
    'aria-checked'?: boolean | "true" | "false" | "mixed" | undefined;
    'aria-colcount'?: number | undefined;
    'aria-colindex'?: number | undefined;
    'aria-colspan'?: number | undefined;
    'aria-controls'?: string | undefined;
    'aria-current'?: boolean | "time" | "true" | "false" | "step" | "page" | "location" | "date" | undefined;
    'aria-describedby'?: string | undefined;
    'aria-details'?: string | undefined;
    'aria-disabled'?: boolean | "true" | "false" | undefined;
    'aria-dropeffect'?: "link" | "none" | "copy" | "move" | "execute" | "popup" | undefined;
    'aria-errormessage'?: string | undefined;
    'aria-expanded'?: boolean | "true" | "false" | undefined;
    'aria-flowto'?: string | undefined;
    'aria-grabbed'?: boolean | "true" | "false" | undefined;
    'aria-haspopup'?: boolean | "dialog" | "menu" | "true" | "false" | "grid" | "listbox" | "tree" | undefined;
    'aria-hidden'?: boolean | "true" | "false" | undefined;
    'aria-invalid'?: boolean | "true" | "false" | "grammar" | "spelling" | undefined;
    'aria-keyshortcuts'?: string | undefined;
    'aria-label'?: string | undefined;
    'aria-labelledby'?: string | undefined;
    'aria-level'?: number | undefined;
    'aria-live'?: "off" | "assertive" | "polite" | undefined;
    'aria-modal'?: boolean | "true" | "false" | undefined;
    'aria-multiline'?: boolean | "true" | "false" | undefined;
    'aria-multiselectable'?: boolean | "true" | "false" | undefined;
    'aria-orientation'?: "horizontal" | "vertical" | undefined;
    'aria-owns'?: string | undefined;
    'aria-placeholder'?: string | undefined;
    'aria-posinset'?: number | undefined;
    'aria-pressed'?: boolean | "true" | "false" | "mixed" | undefined;
    'aria-readonly'?: boolean | "true" | "false" | undefined;
    'aria-relevant'?: "text" | "all" | "additions" | "additions removals" | "additions text" | "removals" | "removals additions" | "removals text" | "text additions" | "text removals" | undefined;
    'aria-required'?: boolean | "true" | "false" | undefined;
    'aria-roledescription'?: string | undefined;
    'aria-rowcount'?: number | undefined;
    'aria-rowindex'?: number | undefined;
    'aria-rowspan'?: number | undefined;
    'aria-selected'?: boolean | "true" | "false" | undefined;
    'aria-setsize'?: number | undefined;
    'aria-sort'?: "none" | "ascending" | "descending" | "other" | undefined;
    'aria-valuemax'?: number | undefined;
    'aria-valuemin'?: number | undefined;
    'aria-valuenow'?: number | undefined;
    'aria-valuetext'?: string | undefined;
    autoFocus?: boolean | undefined;
    autoComplete?: string | undefined;
    maxLength?: number | undefined;
    minLength?: number | undefined;
    readOnly?: boolean | undefined;
    required?: boolean | undefined;
    cols?: number | undefined;
    dirName?: string | undefined;
    rows?: number | undefined;
    wrap?: string | undefined;
    key?: import("react").Key | null | undefined;
    hidden?: boolean | undefined;
    translate?: "yes" | "no" | undefined;
    onCopy?: import("react").ClipboardEventHandler<HTMLTextAreaElement> | undefined;
    onCopyCapture?: import("react").ClipboardEventHandler<HTMLTextAreaElement> | undefined;
    onCut?: import("react").ClipboardEventHandler<HTMLTextAreaElement> | undefined;
    onCutCapture?: import("react").ClipboardEventHandler<HTMLTextAreaElement> | undefined;
    onPaste?: import("react").ClipboardEventHandler<HTMLTextAreaElement> | undefined;
    onPasteCapture?: import("react").ClipboardEventHandler<HTMLTextAreaElement> | undefined;
    onCompositionEnd?: import("react").CompositionEventHandler<HTMLTextAreaElement> | undefined;
    onCompositionEndCapture?: import("react").CompositionEventHandler<HTMLTextAreaElement> | undefined;
    onCompositionStart?: import("react").CompositionEventHandler<HTMLTextAreaElement> | undefined;
    onCompositionStartCapture?: import("react").CompositionEventHandler<HTMLTextAreaElement> | undefined;
    onCompositionUpdate?: import("react").CompositionEventHandler<HTMLTextAreaElement> | undefined;
    onCompositionUpdateCapture?: import("react").CompositionEventHandler<HTMLTextAreaElement> | undefined;
    onFocus?: import("react").FocusEventHandler<HTMLTextAreaElement> | undefined;
    onFocusCapture?: import("react").FocusEventHandler<HTMLTextAreaElement> | undefined;
    onBlur?: import("react").FocusEventHandler<HTMLTextAreaElement> | undefined;
    onBlurCapture?: import("react").FocusEventHandler<HTMLTextAreaElement> | undefined;
    onChange?: import("react").ChangeEventHandler<HTMLTextAreaElement> | undefined;
    onChangeCapture?: import("react").FormEventHandler<HTMLTextAreaElement> | undefined;
    onBeforeInput?: import("react").FormEventHandler<HTMLTextAreaElement> | undefined;
    onBeforeInputCapture?: import("react").FormEventHandler<HTMLTextAreaElement> | undefined;
    onInput?: import("react").FormEventHandler<HTMLTextAreaElement> | undefined;
    onInputCapture?: import("react").FormEventHandler<HTMLTextAreaElement> | undefined;
    onReset?: import("react").FormEventHandler<HTMLTextAreaElement> | undefined;
    onResetCapture?: import("react").FormEventHandler<HTMLTextAreaElement> | undefined;
    onSubmit?: import("react").FormEventHandler<HTMLTextAreaElement> | undefined;
    onSubmitCapture?: import("react").FormEventHandler<HTMLTextAreaElement> | undefined;
    onInvalid?: import("react").FormEventHandler<HTMLTextAreaElement> | undefined;
    onInvalidCapture?: import("react").FormEventHandler<HTMLTextAreaElement> | undefined;
    onLoad?: import("react").ReactEventHandler<HTMLTextAreaElement> | undefined;
    onLoadCapture?: import("react").ReactEventHandler<HTMLTextAreaElement> | undefined;
    onError?: import("react").ReactEventHandler<HTMLTextAreaElement> | undefined;
    onErrorCapture?: import("react").ReactEventHandler<HTMLTextAreaElement> | undefined;
    onKeyDown?: import("react").KeyboardEventHandler<HTMLTextAreaElement> | undefined;
    onKeyDownCapture?: import("react").KeyboardEventHandler<HTMLTextAreaElement> | undefined;
    onKeyPress?: import("react").KeyboardEventHandler<HTMLTextAreaElement> | undefined;
    onKeyPressCapture?: import("react").KeyboardEventHandler<HTMLTextAreaElement> | undefined;
    onKeyUp?: import("react").KeyboardEventHandler<HTMLTextAreaElement> | undefined;
    onKeyUpCapture?: import("react").KeyboardEventHandler<HTMLTextAreaElement> | undefined;
    onAbort?: import("react").ReactEventHandler<HTMLTextAreaElement> | undefined;
    onAbortCapture?: import("react").ReactEventHandler<HTMLTextAreaElement> | undefined;
    onCanPlay?: import("react").ReactEventHandler<HTMLTextAreaElement> | undefined;
    onCanPlayCapture?: import("react").ReactEventHandler<HTMLTextAreaElement> | undefined;
    onCanPlayThrough?: import("react").ReactEventHandler<HTMLTextAreaElement> | undefined;
    onCanPlayThroughCapture?: import("react").ReactEventHandler<HTMLTextAreaElement> | undefined;
    onDurationChange?: import("react").ReactEventHandler<HTMLTextAreaElement> | undefined;
    onDurationChangeCapture?: import("react").ReactEventHandler<HTMLTextAreaElement> | undefined;
    onEmptied?: import("react").ReactEventHandler<HTMLTextAreaElement> | undefined;
    onEmptiedCapture?: import("react").ReactEventHandler<HTMLTextAreaElement> | undefined;
    onEncrypted?: import("react").ReactEventHandler<HTMLTextAreaElement> | undefined;
    onEncryptedCapture?: import("react").ReactEventHandler<HTMLTextAreaElement> | undefined;
    onEnded?: import("react").ReactEventHandler<HTMLTextAreaElement> | undefined;
    onEndedCapture?: import("react").ReactEventHandler<HTMLTextAreaElement> | undefined;
    onLoadedData?: import("react").ReactEventHandler<HTMLTextAreaElement> | undefined;
    onLoadedDataCapture?: import("react").ReactEventHandler<HTMLTextAreaElement> | undefined;
    onLoadedMetadata?: import("react").ReactEventHandler<HTMLTextAreaElement> | undefined;
    onLoadedMetadataCapture?: import("react").ReactEventHandler<HTMLTextAreaElement> | undefined;
    onLoadStart?: import("react").ReactEventHandler<HTMLTextAreaElement> | undefined;
    onLoadStartCapture?: import("react").ReactEventHandler<HTMLTextAreaElement> | undefined;
    onPause?: import("react").ReactEventHandler<HTMLTextAreaElement> | undefined;
    onPauseCapture?: import("react").ReactEventHandler<HTMLTextAreaElement> | undefined;
    onPlay?: import("react").ReactEventHandler<HTMLTextAreaElement> | undefined;
    onPlayCapture?: import("react").ReactEventHandler<HTMLTextAreaElement> | undefined;
    onPlaying?: import("react").ReactEventHandler<HTMLTextAreaElement> | undefined;
    onPlayingCapture?: import("react").ReactEventHandler<HTMLTextAreaElement> | undefined;
    onProgress?: import("react").ReactEventHandler<HTMLTextAreaElement> | undefined;
    onProgressCapture?: import("react").ReactEventHandler<HTMLTextAreaElement> | undefined;
    onRateChange?: import("react").ReactEventHandler<HTMLTextAreaElement> | undefined;
    onRateChangeCapture?: import("react").ReactEventHandler<HTMLTextAreaElement> | undefined;
    onSeeked?: import("react").ReactEventHandler<HTMLTextAreaElement> | undefined;
    onSeekedCapture?: import("react").ReactEventHandler<HTMLTextAreaElement> | undefined;
    onSeeking?: import("react").ReactEventHandler<HTMLTextAreaElement> | undefined;
    onSeekingCapture?: import("react").ReactEventHandler<HTMLTextAreaElement> | undefined;
    onStalled?: import("react").ReactEventHandler<HTMLTextAreaElement> | undefined;
    onStalledCapture?: import("react").ReactEventHandler<HTMLTextAreaElement> | undefined;
    onSuspend?: import("react").ReactEventHandler<HTMLTextAreaElement> | undefined;
    onSuspendCapture?: import("react").ReactEventHandler<HTMLTextAreaElement> | undefined;
    onTimeUpdate?: import("react").ReactEventHandler<HTMLTextAreaElement> | undefined;
    onTimeUpdateCapture?: import("react").ReactEventHandler<HTMLTextAreaElement> | undefined;
    onVolumeChange?: import("react").ReactEventHandler<HTMLTextAreaElement> | undefined;
    onVolumeChangeCapture?: import("react").ReactEventHandler<HTMLTextAreaElement> | undefined;
    onWaiting?: import("react").ReactEventHandler<HTMLTextAreaElement> | undefined;
    onWaitingCapture?: import("react").ReactEventHandler<HTMLTextAreaElement> | undefined;
    onAuxClick?: import("react").MouseEventHandler<HTMLTextAreaElement> | undefined;
    onAuxClickCapture?: import("react").MouseEventHandler<HTMLTextAreaElement> | undefined;
    onClick?: import("react").MouseEventHandler<HTMLTextAreaElement> | undefined;
    onClickCapture?: import("react").MouseEventHandler<HTMLTextAreaElement> | undefined;
    onContextMenu?: import("react").MouseEventHandler<HTMLTextAreaElement> | undefined;
    onContextMenuCapture?: import("react").MouseEventHandler<HTMLTextAreaElement> | undefined;
    onDoubleClick?: import("react").MouseEventHandler<HTMLTextAreaElement> | undefined;
    onDoubleClickCapture?: import("react").MouseEventHandler<HTMLTextAreaElement> | undefined;
    onDrag?: import("react").DragEventHandler<HTMLTextAreaElement> | undefined;
    onDragCapture?: import("react").DragEventHandler<HTMLTextAreaElement> | undefined;
    onDragEnd?: import("react").DragEventHandler<HTMLTextAreaElement> | undefined;
    onDragEndCapture?: import("react").DragEventHandler<HTMLTextAreaElement> | undefined;
    onDragEnter?: import("react").DragEventHandler<HTMLTextAreaElement> | undefined;
    onDragEnterCapture?: import("react").DragEventHandler<HTMLTextAreaElement> | undefined;
    onDragExit?: import("react").DragEventHandler<HTMLTextAreaElement> | undefined;
    onDragExitCapture?: import("react").DragEventHandler<HTMLTextAreaElement> | undefined;
    onDragLeave?: import("react").DragEventHandler<HTMLTextAreaElement> | undefined;
    onDragLeaveCapture?: import("react").DragEventHandler<HTMLTextAreaElement> | undefined;
    onDragOver?: import("react").DragEventHandler<HTMLTextAreaElement> | undefined;
    onDragOverCapture?: import("react").DragEventHandler<HTMLTextAreaElement> | undefined;
    onDragStart?: import("react").DragEventHandler<HTMLTextAreaElement> | undefined;
    onDragStartCapture?: import("react").DragEventHandler<HTMLTextAreaElement> | undefined;
    onDrop?: import("react").DragEventHandler<HTMLTextAreaElement> | undefined;
    onDropCapture?: import("react").DragEventHandler<HTMLTextAreaElement> | undefined;
    onMouseDown?: import("react").MouseEventHandler<HTMLTextAreaElement> | undefined;
    onMouseDownCapture?: import("react").MouseEventHandler<HTMLTextAreaElement> | undefined;
    onMouseEnter?: import("react").MouseEventHandler<HTMLTextAreaElement> | undefined;
    onMouseLeave?: import("react").MouseEventHandler<HTMLTextAreaElement> | undefined;
    onMouseMove?: import("react").MouseEventHandler<HTMLTextAreaElement> | undefined;
    onMouseMoveCapture?: import("react").MouseEventHandler<HTMLTextAreaElement> | undefined;
    onMouseOut?: import("react").MouseEventHandler<HTMLTextAreaElement> | undefined;
    onMouseOutCapture?: import("react").MouseEventHandler<HTMLTextAreaElement> | undefined;
    onMouseOver?: import("react").MouseEventHandler<HTMLTextAreaElement> | undefined;
    onMouseOverCapture?: import("react").MouseEventHandler<HTMLTextAreaElement> | undefined;
    onMouseUp?: import("react").MouseEventHandler<HTMLTextAreaElement> | undefined;
    onMouseUpCapture?: import("react").MouseEventHandler<HTMLTextAreaElement> | undefined;
    onSelect?: import("react").ReactEventHandler<HTMLTextAreaElement> | undefined;
    onSelectCapture?: import("react").ReactEventHandler<HTMLTextAreaElement> | undefined;
    onTouchCancel?: import("react").TouchEventHandler<HTMLTextAreaElement> | undefined;
    onTouchCancelCapture?: import("react").TouchEventHandler<HTMLTextAreaElement> | undefined;
    onTouchEnd?: import("react").TouchEventHandler<HTMLTextAreaElement> | undefined;
    onTouchEndCapture?: import("react").TouchEventHandler<HTMLTextAreaElement> | undefined;
    onTouchMove?: import("react").TouchEventHandler<HTMLTextAreaElement> | undefined;
    onTouchMoveCapture?: import("react").TouchEventHandler<HTMLTextAreaElement> | undefined;
    onTouchStart?: import("react").TouchEventHandler<HTMLTextAreaElement> | undefined;
    onTouchStartCapture?: import("react").TouchEventHandler<HTMLTextAreaElement> | undefined;
    onPointerDown?: import("react").PointerEventHandler<HTMLTextAreaElement> | undefined;
    onPointerDownCapture?: import("react").PointerEventHandler<HTMLTextAreaElement> | undefined;
    onPointerMove?: import("react").PointerEventHandler<HTMLTextAreaElement> | undefined;
    onPointerMoveCapture?: import("react").PointerEventHandler<HTMLTextAreaElement> | undefined;
    onPointerUp?: import("react").PointerEventHandler<HTMLTextAreaElement> | undefined;
    onPointerUpCapture?: import("react").PointerEventHandler<HTMLTextAreaElement> | undefined;
    onPointerCancel?: import("react").PointerEventHandler<HTMLTextAreaElement> | undefined;
    onPointerCancelCapture?: import("react").PointerEventHandler<HTMLTextAreaElement> | undefined;
    onPointerEnter?: import("react").PointerEventHandler<HTMLTextAreaElement> | undefined;
    onPointerEnterCapture?: import("react").PointerEventHandler<HTMLTextAreaElement> | undefined;
    onPointerLeave?: import("react").PointerEventHandler<HTMLTextAreaElement> | undefined;
    onPointerLeaveCapture?: import("react").PointerEventHandler<HTMLTextAreaElement> | undefined;
    onPointerOver?: import("react").PointerEventHandler<HTMLTextAreaElement> | undefined;
    onPointerOverCapture?: import("react").PointerEventHandler<HTMLTextAreaElement> | undefined;
    onPointerOut?: import("react").PointerEventHandler<HTMLTextAreaElement> | undefined;
    onPointerOutCapture?: import("react").PointerEventHandler<HTMLTextAreaElement> | undefined;
    onGotPointerCapture?: import("react").PointerEventHandler<HTMLTextAreaElement> | undefined;
    onGotPointerCaptureCapture?: import("react").PointerEventHandler<HTMLTextAreaElement> | undefined;
    onLostPointerCapture?: import("react").PointerEventHandler<HTMLTextAreaElement> | undefined;
    onLostPointerCaptureCapture?: import("react").PointerEventHandler<HTMLTextAreaElement> | undefined;
    onScroll?: import("react").UIEventHandler<HTMLTextAreaElement> | undefined;
    onScrollCapture?: import("react").UIEventHandler<HTMLTextAreaElement> | undefined;
    onWheel?: import("react").WheelEventHandler<HTMLTextAreaElement> | undefined;
    onWheelCapture?: import("react").WheelEventHandler<HTMLTextAreaElement> | undefined;
    onAnimationStart?: import("react").AnimationEventHandler<HTMLTextAreaElement> | undefined;
    onAnimationStartCapture?: import("react").AnimationEventHandler<HTMLTextAreaElement> | undefined;
    onAnimationEnd?: import("react").AnimationEventHandler<HTMLTextAreaElement> | undefined;
    onAnimationEndCapture?: import("react").AnimationEventHandler<HTMLTextAreaElement> | undefined;
    onAnimationIteration?: import("react").AnimationEventHandler<HTMLTextAreaElement> | undefined;
    onAnimationIterationCapture?: import("react").AnimationEventHandler<HTMLTextAreaElement> | undefined;
    onTransitionEnd?: import("react").TransitionEventHandler<HTMLTextAreaElement> | undefined;
    onTransitionEndCapture?: import("react").TransitionEventHandler<HTMLTextAreaElement> | undefined;
    p?: import("csstype").PaddingProperty<string | number> | [import("csstype").PaddingProperty<string | number> | undefined, import("csstype").PaddingProperty<string | number> | undefined] | [import("csstype").PaddingProperty<string | number> | undefined, import("csstype").PaddingProperty<string | number> | undefined, import("csstype").PaddingProperty<string | number> | undefined] | undefined;
    borderColor?: string | [string | undefined, string | undefined] | [string | undefined, string | undefined, string | undefined] | undefined;
    height?: import("csstype").HeightProperty<string | number> | [import("csstype").HeightProperty<string | number> | undefined, import("csstype").HeightProperty<string | number> | undefined] | [import("csstype").HeightProperty<string | number> | undefined, import("csstype").HeightProperty<string | number> | undefined, import("csstype").HeightProperty<string | number> | undefined] | undefined;
    width?: import("csstype").WidthProperty<string | number> | [import("csstype").WidthProperty<string | number> | undefined, import("csstype").WidthProperty<string | number> | undefined] | [import("csstype").WidthProperty<string | number> | undefined, import("csstype").WidthProperty<string | number> | undefined, import("csstype").WidthProperty<string | number> | undefined] | undefined;
    cursor?: string | [string | undefined, string | undefined] | [string | undefined, string | undefined, string | undefined] | undefined;
    display?: string | [string | undefined, string | undefined] | [string | undefined, string | undefined, string | undefined] | undefined;
    fontSize?: import("csstype").FontSizeProperty<string | number> | [import("csstype").FontSizeProperty<string | number> | undefined, import("csstype").FontSizeProperty<string | number> | undefined] | [import("csstype").FontSizeProperty<string | number> | undefined, import("csstype").FontSizeProperty<string | number> | undefined, import("csstype").FontSizeProperty<string | number> | undefined] | undefined;
    fontWeight?: import("csstype").FontWeightProperty | [import("csstype").FontWeightProperty | undefined, import("csstype").FontWeightProperty | undefined] | [import("csstype").FontWeightProperty | undefined, import("csstype").FontWeightProperty | undefined, import("csstype").FontWeightProperty | undefined] | undefined;
    textDecoration?: string | [string | undefined, string | undefined] | [string | undefined, string | undefined, string | undefined] | undefined;
    margin?: import("csstype").MarginProperty<string | number> | [import("csstype").MarginProperty<string | number> | undefined, import("csstype").MarginProperty<string | number> | undefined] | [import("csstype").MarginProperty<string | number> | undefined, import("csstype").MarginProperty<string | number> | undefined, import("csstype").MarginProperty<string | number> | undefined] | undefined;
    marginLeft?: import("csstype").MarginLeftProperty<string | number> | [import("csstype").MarginLeftProperty<string | number> | undefined, import("csstype").MarginLeftProperty<string | number> | undefined] | [import("csstype").MarginLeftProperty<string | number> | undefined, import("csstype").MarginLeftProperty<string | number> | undefined, import("csstype").MarginLeftProperty<string | number> | undefined] | undefined;
    marginRight?: import("csstype").MarginRightProperty<string | number> | [import("csstype").MarginRightProperty<string | number> | undefined, import("csstype").MarginRightProperty<string | number> | undefined] | [import("csstype").MarginRightProperty<string | number> | undefined, import("csstype").MarginRightProperty<string | number> | undefined, import("csstype").MarginRightProperty<string | number> | undefined] | undefined;
    marginTop?: import("csstype").MarginTopProperty<string | number> | [import("csstype").MarginTopProperty<string | number> | undefined, import("csstype").MarginTopProperty<string | number> | undefined] | [import("csstype").MarginTopProperty<string | number> | undefined, import("csstype").MarginTopProperty<string | number> | undefined, import("csstype").MarginTopProperty<string | number> | undefined] | undefined;
    marginBottom?: import("csstype").MarginBottomProperty<string | number> | [import("csstype").MarginBottomProperty<string | number> | undefined, import("csstype").MarginBottomProperty<string | number> | undefined] | [import("csstype").MarginBottomProperty<string | number> | undefined, import("csstype").MarginBottomProperty<string | number> | undefined, import("csstype").MarginBottomProperty<string | number> | undefined] | undefined;
    padding?: import("csstype").PaddingProperty<string | number> | [import("csstype").PaddingProperty<string | number> | undefined, import("csstype").PaddingProperty<string | number> | undefined] | [import("csstype").PaddingProperty<string | number> | undefined, import("csstype").PaddingProperty<string | number> | undefined, import("csstype").PaddingProperty<string | number> | undefined] | undefined;
    paddingLeft?: import("csstype").PaddingLeftProperty<string | number> | [import("csstype").PaddingLeftProperty<string | number> | undefined, import("csstype").PaddingLeftProperty<string | number> | undefined] | [import("csstype").PaddingLeftProperty<string | number> | undefined, import("csstype").PaddingLeftProperty<string | number> | undefined, import("csstype").PaddingLeftProperty<string | number> | undefined] | undefined;
    paddingRight?: import("csstype").PaddingRightProperty<string | number> | [import("csstype").PaddingRightProperty<string | number> | undefined, import("csstype").PaddingRightProperty<string | number> | undefined] | [import("csstype").PaddingRightProperty<string | number> | undefined, import("csstype").PaddingRightProperty<string | number> | undefined, import("csstype").PaddingRightProperty<string | number> | undefined] | undefined;
    paddingTop?: import("csstype").PaddingTopProperty<string | number> | [import("csstype").PaddingTopProperty<string | number> | undefined, import("csstype").PaddingTopProperty<string | number> | undefined] | [import("csstype").PaddingTopProperty<string | number> | undefined, import("csstype").PaddingTopProperty<string | number> | undefined, import("csstype").PaddingTopProperty<string | number> | undefined] | undefined;
    paddingBottom?: import("csstype").PaddingBottomProperty<string | number> | [import("csstype").PaddingBottomProperty<string | number> | undefined, import("csstype").PaddingBottomProperty<string | number> | undefined] | [import("csstype").PaddingBottomProperty<string | number> | undefined, import("csstype").PaddingBottomProperty<string | number> | undefined, import("csstype").PaddingBottomProperty<string | number> | undefined] | undefined;
    gap?: import("csstype").GapProperty<string | number> | [import("csstype").GapProperty<string | number> | undefined, import("csstype").GapProperty<string | number> | undefined] | [import("csstype").GapProperty<string | number> | undefined, import("csstype").GapProperty<string | number> | undefined, import("csstype").GapProperty<string | number> | undefined] | undefined;
    m?: import("csstype").MarginProperty<string | number> | [import("csstype").MarginProperty<string | number> | undefined, import("csstype").MarginProperty<string | number> | undefined] | [import("csstype").MarginProperty<string | number> | undefined, import("csstype").MarginProperty<string | number> | undefined, import("csstype").MarginProperty<string | number> | undefined] | undefined;
    ml?: import("csstype").MarginLeftProperty<string | number> | [import("csstype").MarginLeftProperty<string | number> | undefined, import("csstype").MarginLeftProperty<string | number> | undefined] | [import("csstype").MarginLeftProperty<string | number> | undefined, import("csstype").MarginLeftProperty<string | number> | undefined, import("csstype").MarginLeftProperty<string | number> | undefined] | undefined;
    mr?: import("csstype").MarginRightProperty<string | number> | [import("csstype").MarginRightProperty<string | number> | undefined, import("csstype").MarginRightProperty<string | number> | undefined] | [import("csstype").MarginRightProperty<string | number> | undefined, import("csstype").MarginRightProperty<string | number> | undefined, import("csstype").MarginRightProperty<string | number> | undefined] | undefined;
    mt?: import("csstype").MarginTopProperty<string | number> | [import("csstype").MarginTopProperty<string | number> | undefined, import("csstype").MarginTopProperty<string | number> | undefined] | [import("csstype").MarginTopProperty<string | number> | undefined, import("csstype").MarginTopProperty<string | number> | undefined, import("csstype").MarginTopProperty<string | number> | undefined] | undefined;
    mb?: import("csstype").MarginBottomProperty<string | number> | [import("csstype").MarginBottomProperty<string | number> | undefined, import("csstype").MarginBottomProperty<string | number> | undefined] | [import("csstype").MarginBottomProperty<string | number> | undefined, import("csstype").MarginBottomProperty<string | number> | undefined, import("csstype").MarginBottomProperty<string | number> | undefined] | undefined;
    mx?: import("csstype").MarginLeftProperty<string | number> | [import("csstype").MarginLeftProperty<string | number> | undefined, import("csstype").MarginLeftProperty<string | number> | undefined] | [import("csstype").MarginLeftProperty<string | number> | undefined, import("csstype").MarginLeftProperty<string | number> | undefined, import("csstype").MarginLeftProperty<string | number> | undefined] | undefined;
    my?: import("csstype").MarginTopProperty<string | number> | [import("csstype").MarginTopProperty<string | number> | undefined, import("csstype").MarginTopProperty<string | number> | undefined] | [import("csstype").MarginTopProperty<string | number> | undefined, import("csstype").MarginTopProperty<string | number> | undefined, import("csstype").MarginTopProperty<string | number> | undefined] | undefined;
    pl?: import("csstype").PaddingLeftProperty<string | number> | [import("csstype").PaddingLeftProperty<string | number> | undefined, import("csstype").PaddingLeftProperty<string | number> | undefined] | [import("csstype").PaddingLeftProperty<string | number> | undefined, import("csstype").PaddingLeftProperty<string | number> | undefined, import("csstype").PaddingLeftProperty<string | number> | undefined] | undefined;
    pr?: import("csstype").PaddingRightProperty<string | number> | [import("csstype").PaddingRightProperty<string | number> | undefined, import("csstype").PaddingRightProperty<string | number> | undefined] | [import("csstype").PaddingRightProperty<string | number> | undefined, import("csstype").PaddingRightProperty<string | number> | undefined, import("csstype").PaddingRightProperty<string | number> | undefined] | undefined;
    pt?: import("csstype").PaddingTopProperty<string | number> | [import("csstype").PaddingTopProperty<string | number> | undefined, import("csstype").PaddingTopProperty<string | number> | undefined] | [import("csstype").PaddingTopProperty<string | number> | undefined, import("csstype").PaddingTopProperty<string | number> | undefined, import("csstype").PaddingTopProperty<string | number> | undefined] | undefined;
    pb?: import("csstype").PaddingBottomProperty<string | number> | [import("csstype").PaddingBottomProperty<string | number> | undefined, import("csstype").PaddingBottomProperty<string | number> | undefined] | [import("csstype").PaddingBottomProperty<string | number> | undefined, import("csstype").PaddingBottomProperty<string | number> | undefined, import("csstype").PaddingBottomProperty<string | number> | undefined] | undefined;
    px?: import("csstype").PaddingLeftProperty<string | number> | [import("csstype").PaddingLeftProperty<string | number> | undefined, import("csstype").PaddingLeftProperty<string | number> | undefined] | [import("csstype").PaddingLeftProperty<string | number> | undefined, import("csstype").PaddingLeftProperty<string | number> | undefined, import("csstype").PaddingLeftProperty<string | number> | undefined] | undefined;
    py?: import("csstype").PaddingTopProperty<string | number> | [import("csstype").PaddingTopProperty<string | number> | undefined, import("csstype").PaddingTopProperty<string | number> | undefined] | [import("csstype").PaddingTopProperty<string | number> | undefined, import("csstype").PaddingTopProperty<string | number> | undefined, import("csstype").PaddingTopProperty<string | number> | undefined] | undefined;
    minWidth?: import("csstype").MinWidthProperty<string | number> | [import("csstype").MinWidthProperty<string | number> | undefined, import("csstype").MinWidthProperty<string | number> | undefined] | [import("csstype").MinWidthProperty<string | number> | undefined, import("csstype").MinWidthProperty<string | number> | undefined, import("csstype").MinWidthProperty<string | number> | undefined] | undefined;
    minHeight?: import("csstype").MinHeightProperty<string | number> | [import("csstype").MinHeightProperty<string | number> | undefined, import("csstype").MinHeightProperty<string | number> | undefined] | [import("csstype").MinHeightProperty<string | number> | undefined, import("csstype").MinHeightProperty<string | number> | undefined, import("csstype").MinHeightProperty<string | number> | undefined] | undefined;
    maxWidth?: import("csstype").MaxWidthProperty<string | number> | [import("csstype").MaxWidthProperty<string | number> | undefined, import("csstype").MaxWidthProperty<string | number> | undefined] | [import("csstype").MaxWidthProperty<string | number> | undefined, import("csstype").MaxWidthProperty<string | number> | undefined, import("csstype").MaxWidthProperty<string | number> | undefined] | undefined;
    maxHeight?: import("csstype").MaxHeightProperty<string | number> | [import("csstype").MaxHeightProperty<string | number> | undefined, import("csstype").MaxHeightProperty<string | number> | undefined] | [import("csstype").MaxHeightProperty<string | number> | undefined, import("csstype").MaxHeightProperty<string | number> | undefined, import("csstype").MaxHeightProperty<string | number> | undefined] | undefined;
    backgroundColor?: string | [string | undefined, string | undefined] | [string | undefined, string | undefined, string | undefined] | undefined;
    borderLeftColor?: string | [string | undefined, string | undefined] | [string | undefined, string | undefined, string | undefined] | undefined;
    borderRightColor?: string | [string | undefined, string | undefined] | [string | undefined, string | undefined, string | undefined] | undefined;
    borderTopColor?: string | [string | undefined, string | undefined] | [string | undefined, string | undefined, string | undefined] | undefined;
    borderBottomColor?: string | [string | undefined, string | undefined] | [string | undefined, string | undefined, string | undefined] | undefined;
    borderStyle?: string | [string | undefined, string | undefined] | [string | undefined, string | undefined, string | undefined] | undefined;
    borderTopStyle?: import("csstype").BorderTopStyleProperty | [import("csstype").BorderTopStyleProperty | undefined, import("csstype").BorderTopStyleProperty | undefined] | [import("csstype").BorderTopStyleProperty | undefined, import("csstype").BorderTopStyleProperty | undefined, import("csstype").BorderTopStyleProperty | undefined] | undefined;
    borderBottomStyle?: import("csstype").BorderBottomStyleProperty | [import("csstype").BorderBottomStyleProperty | undefined, import("csstype").BorderBottomStyleProperty | undefined] | [import("csstype").BorderBottomStyleProperty | undefined, import("csstype").BorderBottomStyleProperty | undefined, import("csstype").BorderBottomStyleProperty | undefined] | undefined;
    borderLeftStyle?: import("csstype").BorderLeftStyleProperty | [import("csstype").BorderLeftStyleProperty | undefined, import("csstype").BorderLeftStyleProperty | undefined] | [import("csstype").BorderLeftStyleProperty | undefined, import("csstype").BorderLeftStyleProperty | undefined, import("csstype").BorderLeftStyleProperty | undefined] | undefined;
    borderRightStyle?: import("csstype").BorderRightStyleProperty | [import("csstype").BorderRightStyleProperty | undefined, import("csstype").BorderRightStyleProperty | undefined] | [import("csstype").BorderRightStyleProperty | undefined, import("csstype").BorderRightStyleProperty | undefined, import("csstype").BorderRightStyleProperty | undefined] | undefined;
    borderWidth?: import("csstype").BorderWidthProperty<string | number> | [import("csstype").BorderWidthProperty<string | number> | undefined, import("csstype").BorderWidthProperty<string | number> | undefined] | [import("csstype").BorderWidthProperty<string | number> | undefined, import("csstype").BorderWidthProperty<string | number> | undefined, import("csstype").BorderWidthProperty<string | number> | undefined] | undefined;
    borderTopWidth?: import("csstype").BorderTopWidthProperty<string | number> | [import("csstype").BorderTopWidthProperty<string | number> | undefined, import("csstype").BorderTopWidthProperty<string | number> | undefined] | [import("csstype").BorderTopWidthProperty<string | number> | undefined, import("csstype").BorderTopWidthProperty<string | number> | undefined, import("csstype").BorderTopWidthProperty<string | number> | undefined] | undefined;
    borderBottomWidth?: import("csstype").BorderBottomWidthProperty<string | number> | [import("csstype").BorderBottomWidthProperty<string | number> | undefined, import("csstype").BorderBottomWidthProperty<string | number> | undefined] | [import("csstype").BorderBottomWidthProperty<string | number> | undefined, import("csstype").BorderBottomWidthProperty<string | number> | undefined, import("csstype").BorderBottomWidthProperty<string | number> | undefined] | undefined;
    borderLeftWidth?: import("csstype").BorderLeftWidthProperty<string | number> | [import("csstype").BorderLeftWidthProperty<string | number> | undefined, import("csstype").BorderLeftWidthProperty<string | number> | undefined] | [import("csstype").BorderLeftWidthProperty<string | number> | undefined, import("csstype").BorderLeftWidthProperty<string | number> | undefined, import("csstype").BorderLeftWidthProperty<string | number> | undefined] | undefined;
    borderRightWidth?: import("csstype").BorderRightWidthProperty<string | number> | [import("csstype").BorderRightWidthProperty<string | number> | undefined, import("csstype").BorderRightWidthProperty<string | number> | undefined] | [import("csstype").BorderRightWidthProperty<string | number> | undefined, import("csstype").BorderRightWidthProperty<string | number> | undefined, import("csstype").BorderRightWidthProperty<string | number> | undefined] | undefined;
    borderRadius?: import("csstype").BorderRadiusProperty<string | number> | [import("csstype").BorderRadiusProperty<string | number> | undefined, import("csstype").BorderRadiusProperty<string | number> | undefined] | [import("csstype").BorderRadiusProperty<string | number> | undefined, import("csstype").BorderRadiusProperty<string | number> | undefined, import("csstype").BorderRadiusProperty<string | number> | undefined] | undefined;
    borderTopLeftRadius?: import("csstype").BorderTopLeftRadiusProperty<string | number> | [import("csstype").BorderTopLeftRadiusProperty<string | number> | undefined, import("csstype").BorderTopLeftRadiusProperty<string | number> | undefined] | [import("csstype").BorderTopLeftRadiusProperty<string | number> | undefined, import("csstype").BorderTopLeftRadiusProperty<string | number> | undefined, import("csstype").BorderTopLeftRadiusProperty<string | number> | undefined] | undefined;
    borderTopRightRadius?: import("csstype").BorderTopRightRadiusProperty<string | number> | [import("csstype").BorderTopRightRadiusProperty<string | number> | undefined, import("csstype").BorderTopRightRadiusProperty<string | number> | undefined] | [import("csstype").BorderTopRightRadiusProperty<string | number> | undefined, import("csstype").BorderTopRightRadiusProperty<string | number> | undefined, import("csstype").BorderTopRightRadiusProperty<string | number> | undefined] | undefined;
    borderBottomLeftRadius?: import("csstype").BorderBottomLeftRadiusProperty<string | number> | [import("csstype").BorderBottomLeftRadiusProperty<string | number> | undefined, import("csstype").BorderBottomLeftRadiusProperty<string | number> | undefined] | [import("csstype").BorderBottomLeftRadiusProperty<string | number> | undefined, import("csstype").BorderBottomLeftRadiusProperty<string | number> | undefined, import("csstype").BorderBottomLeftRadiusProperty<string | number> | undefined] | undefined;
    borderBottomRightRadius?: import("csstype").BorderBottomRightRadiusProperty<string | number> | [import("csstype").BorderBottomRightRadiusProperty<string | number> | undefined, import("csstype").BorderBottomRightRadiusProperty<string | number> | undefined] | [import("csstype").BorderBottomRightRadiusProperty<string | number> | undefined, import("csstype").BorderBottomRightRadiusProperty<string | number> | undefined, import("csstype").BorderBottomRightRadiusProperty<string | number> | undefined] | undefined;
    textAlign?: import("csstype").TextAlignProperty | [import("csstype").TextAlignProperty | undefined, import("csstype").TextAlignProperty | undefined] | [import("csstype").TextAlignProperty | undefined, import("csstype").TextAlignProperty | undefined, import("csstype").TextAlignProperty | undefined] | undefined;
    verticalAlign?: import("csstype").VerticalAlignProperty<string | number> | [import("csstype").VerticalAlignProperty<string | number> | undefined, import("csstype").VerticalAlignProperty<string | number> | undefined] | [import("csstype").VerticalAlignProperty<string | number> | undefined, import("csstype").VerticalAlignProperty<string | number> | undefined, import("csstype").VerticalAlignProperty<string | number> | undefined] | undefined;
    alignItems?: string | [string | undefined, string | undefined] | [string | undefined, string | undefined, string | undefined] | undefined;
    alignSelf?: string | [string | undefined, string | undefined] | [string | undefined, string | undefined, string | undefined] | undefined;
    justifyContent?: string | [string | undefined, string | undefined] | [string | undefined, string | undefined, string | undefined] | undefined;
    textTransform?: import("csstype").TextTransformProperty | [import("csstype").TextTransformProperty | undefined, import("csstype").TextTransformProperty | undefined] | [import("csstype").TextTransformProperty | undefined, import("csstype").TextTransformProperty | undefined, import("csstype").TextTransformProperty | undefined] | undefined;
    boxSizing?: import("csstype").BoxSizingProperty | [import("csstype").BoxSizingProperty | undefined, import("csstype").BoxSizingProperty | undefined] | [import("csstype").BoxSizingProperty | undefined, import("csstype").BoxSizingProperty | undefined, import("csstype").BoxSizingProperty | undefined] | undefined;
    flexDirection?: import("csstype").FlexDirectionProperty | [import("csstype").FlexDirectionProperty | undefined, import("csstype").FlexDirectionProperty | undefined] | [import("csstype").FlexDirectionProperty | undefined, import("csstype").FlexDirectionProperty | undefined, import("csstype").FlexDirectionProperty | undefined] | undefined;
    flexBasis?: import("csstype").FlexBasisProperty<string | number> | [import("csstype").FlexBasisProperty<string | number> | undefined, import("csstype").FlexBasisProperty<string | number> | undefined] | [import("csstype").FlexBasisProperty<string | number> | undefined, import("csstype").FlexBasisProperty<string | number> | undefined, import("csstype").FlexBasisProperty<string | number> | undefined] | undefined;
    flexGrow?: import("csstype").GlobalsNumber | [import("csstype").GlobalsNumber | undefined, import("csstype").GlobalsNumber | undefined] | [import("csstype").GlobalsNumber | undefined, import("csstype").GlobalsNumber | undefined, import("csstype").GlobalsNumber | undefined] | undefined;
    gridTemplateColumns?: import("csstype").GridTemplateColumnsProperty<string | number> | [import("csstype").GridTemplateColumnsProperty<string | number> | undefined, import("csstype").GridTemplateColumnsProperty<string | number> | undefined] | [import("csstype").GridTemplateColumnsProperty<string | number> | undefined, import("csstype").GridTemplateColumnsProperty<string | number> | undefined, import("csstype").GridTemplateColumnsProperty<string | number> | undefined] | undefined;
    invalid?: boolean | undefined;
    compact?: boolean | undefined;
    innerRef?: import("react").Ref<HTMLTextAreaElement> | undefined;
    gridColumnSpan?: number | number[] | "end" | "all" | undefined;
    gridColumnPad?: number | number[] | undefined;
    gridRowSpan?: number | number[] | undefined;
    gridRowPad?: number | number[] | undefined;
    gridAlign?: ("start" | "end" | "center" | "stretch") | undefined;
    gridJustify?: ("start" | "end" | "center" | "stretch") | undefined;
}>;
export default Textarea;
