function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

import PropTypes from 'prop-types';
import requiredIf from 'react-required-if';
import { createStyledComponent } from '@cloudflare/style-container';
var Textarea = createStyledComponent(_ref => {
  var {
    theme,
    invalid,
    disabled,
    compact
  } = _ref;
  return _objectSpread(_objectSpread({
    height: 'initial',
    lineHeight: 'initial',
    wordBreak: 'initial',
    cursor: 'initial',
    resize: 'initial',
    zIndex: 0,
    width: '100%',
    px: compact ? "".concat(theme.space[1] * 1.5, "px") : theme.space[2],
    py: compact ? "".concat(theme.space[1], "px") : "".concat(theme.space[2], "px"),
    marginBottom: 3,
    verticalAlign: 'middle'
  }, theme.mixins.focus({
    invalid,
    border: true
  })), theme.mixins.input({
    invalid,
    disabled,
    compact
  }));
}, 'textarea');
Textarea.propTypes = {
  height: PropTypes.oneOfType([PropTypes.string, PropTypes.number]),
  name: PropTypes.string.isRequired,
  value: PropTypes.string,
  invalid: PropTypes.bool,
  disabled: PropTypes.bool,
  readOnly: PropTypes.bool,
  rows: PropTypes.number,
  placeholder: PropTypes.string,
  onChange: requiredIf(PropTypes.func, props => !props.disabled && !props.readOnly),
  onFocus: PropTypes.func,
  onBlur: PropTypes.func,
  innerRef: PropTypes.oneOfType([PropTypes.func, PropTypes.shape({
    // Element does not exist on the server
    current: typeof Element === 'undefined' ? PropTypes.func : PropTypes.instanceOf(Element)
  })]),
  tabIndex: PropTypes.number,
  compact: PropTypes.bool
};
export default Textarea;