"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _propTypes = _interopRequireDefault(require("prop-types"));

var _reactRequiredIf = _interopRequireDefault(require("react-required-if"));

var _styleContainer = require("@cloudflare/style-container");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var Textarea = (0, _styleContainer.createStyledComponent)(function (_ref) {
  var theme = _ref.theme,
      invalid = _ref.invalid,
      disabled = _ref.disabled,
      compact = _ref.compact;
  return _objectSpread(_objectSpread({
    height: 'initial',
    lineHeight: 'initial',
    wordBreak: 'initial',
    cursor: 'initial',
    resize: 'initial',
    zIndex: 0,
    width: '100%',
    px: compact ? "".concat(theme.space[1] * 1.5, "px") : theme.space[2],
    py: compact ? "".concat(theme.space[1], "px") : "".concat(theme.space[2], "px"),
    marginBottom: 3,
    verticalAlign: 'middle'
  }, theme.mixins.focus({
    invalid: invalid,
    border: true
  })), theme.mixins.input({
    invalid: invalid,
    disabled: disabled,
    compact: compact
  }));
}, 'textarea');
Textarea.propTypes = {
  height: _propTypes.default.oneOfType([_propTypes.default.string, _propTypes.default.number]),
  name: _propTypes.default.string.isRequired,
  value: _propTypes.default.string,
  invalid: _propTypes.default.bool,
  disabled: _propTypes.default.bool,
  readOnly: _propTypes.default.bool,
  rows: _propTypes.default.number,
  placeholder: _propTypes.default.string,
  onChange: (0, _reactRequiredIf.default)(_propTypes.default.func, function (props) {
    return !props.disabled && !props.readOnly;
  }),
  onFocus: _propTypes.default.func,
  onBlur: _propTypes.default.func,
  innerRef: _propTypes.default.oneOfType([_propTypes.default.func, _propTypes.default.shape({
    // Element does not exist on the server
    current: typeof Element === 'undefined' ? _propTypes.default.func : _propTypes.default.instanceOf(Element)
  })]),
  tabIndex: _propTypes.default.number,
  compact: _propTypes.default.bool
};
var _default = Textarea;
exports.default = _default;